## kdbusaddons 5.18.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)

project(KDBusAddons)

include(FeatureSummary)
find_package(ECM 5.18.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)


set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings)
include(KDECMakeSettings)

set(REQUIRED_QT_VERSION 5.3.0)
find_package(Qt5DBus ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
find_package(Qt5X11Extras ${REQUIRED_QT_VERSION} NO_MODULE)


include(GenerateExportHeader)
include(ECMPackageConfigHelpers)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMMarkNonGuiExecutable)

include(ECMPoQmTools)

set(KF5_VERSION "5.18.0") # handled by release scripts

ecm_setup_version(${KF5_VERSION} VARIABLE_PREFIX KDBUSADDONS
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kdbusaddons_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5DBusAddonsConfigVersion.cmake"
                        SOVERSION 5)

if(Qt5X11Extras_FOUND)
    set(qtx11extras Qt5::X11Extras)
    set(HAVE_X11 TRUE)
else()
    set(HAVE_X11 FALSE)
endif()


if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
    ecm_install_po_files_as_qm(po)
endif()

add_subdirectory(src)
add_subdirectory(autotests)
add_subdirectory(tests)

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5DBusAddons")

ecm_configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/KF5DBusAddonsConfig.cmake.in"
                              "${CMAKE_CURRENT_BINARY_DIR}/KF5DBusAddonsConfig.cmake"
                              INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
                              )

install(FILES  "${CMAKE_CURRENT_BINARY_DIR}/KF5DBusAddonsConfig.cmake"
               "${CMAKE_CURRENT_BINARY_DIR}/KF5DBusAddonsConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel )

install(EXPORT KF5DBusAddonsTargets  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"  FILE KF5DBusAddonsTargets.cmake  NAMESPACE KF5:: )

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kdbusaddons_version.h  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}  COMPONENT Devel )

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

## kdbusaddons 5.3.0

=== debian/changelog ===
kdbusaddons (5.3.0-0ubuntu1) utopic; urgency=medium

  [ Harald Sitter ]
  * Do not build depend on qt5-default, we only need qtbase5-dev

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 07 Oct 2014 11:16:24 +0100

kdbusaddons (5.2.0-0ubuntu1) utopic; urgency=medium

  * New upstream release
  * Use pkg-kde-tools version 3 scripts

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 22 Sep 2014 19:35:02 +0200

kdbusaddons (5.1.0-0ubuntu1) utopic; urgency=medium

  [ Scarlett Clark ]
  * Update copyright to match licensing to source 

  [ José Manuel Santamaría Lema ]
  * Update libraries *.install paths so a soname bump doesn't go
    unnoticed.

  [ Scarlett Clark ]
  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Tue, 05 Aug 2014 17:07:44 +0200

kdbusaddons (5.0.0-0ubuntu2) utopic; urgency=medium

  * Temporarily ignore failing test to get it working for Plasma 5 release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 14 Jul 2014 20:48:02 +0200

kdbusaddons (5.0.0-0ubuntu1) utopic; urgency=medium

  [ Jonathan Riddell ]
  * Initial stable upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 09 Jul 2014 18:26:18 +0200

=== debian/control ===
Source: kdbusaddons
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               dbus-x11,
               debhelper (>= 9.0.0),
               extra-cmake-modules (>= 1.2.0),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev,
               qttools5-dev,
               qttools5-dev-tools,
               libqt5x11extras5-dev
Standards-Version: 3.9.5
Homepage: https://projects.kde.org/projects/frameworks/kdbusaddons
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/frameworks/kdbusaddons.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kdbusaddons.git

Package: libkf5dbusaddons-dev
Section: libdevel
Architecture: any
Depends: libkf5dbusaddons5 (= ${binary:Version}), qtbase5-dev, ${misc:Depends}
Description: development files for dbusaddons
 KDBusAddons provides convenience classes on top of QtDBus,
 as well as an API to create KDED modules.

Package: libkf5dbusaddons5
Architecture: any
Multi-Arch: same
Depends: libkf5dbusaddons-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libkf5dbusaddons-bin (= ${source:Version})
Description: class library for qtdbus
 KDBusAddons provides convenience classes on top of QtDBus,
 as well as an API to create KDED modules.

Package: libkf5dbusaddons-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5dbusaddons5-data
Replaces: libkf5dbusaddons5-data
Description: class library for qtdbus
 KDBusAddons provides convenience classes on top of QtDBus,
 as well as an API to create KDED modules.
 .
 This package contains the translations.

Package: libkf5dbusaddons-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5dbusaddons5-bin
Replaces: libkf5dbusaddons5-bin
Description: class library for qtdbus
 KDBusAddons provides convenience classes on top of QtDBus,
 as well as an API to create KDED modules.
 .
 This package contains kquitapp5.

Package: libkf5dbusaddons5-dbg
Priority: extra
Section: debug
Architecture: any
Multi-Arch: same
Depends: libkf5dbusaddons5 (= ${binary:Version}), ${misc:Depends}
Description: debug symbols for kdbusaddons
 KDBusAddons provides convenience classes on top of QtDBus,
 as well as an API to create KDED modules.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=libkf5dbusaddons5-dbg

override_dh_auto_test:
	true

## kdbusaddons 5.9.0

=== debian/changelog ===
kdbusaddons (5.9.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 13 Apr 2015 22:25:51 +0200

kdbusaddons (5.8.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 17 Mar 2015 15:35:29 +0100

kdbusaddons (5.7.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Harald Sitter <sitter@kde.org>  Tue, 10 Feb 2015 16:12:16 +0100

kdbusaddons (5.6.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 06 Jan 2015 19:43:50 +0100

kdbusaddons (5.5.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 15 Dec 2014 11:19:32 +0100

kdbusaddons (5.4.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Nov 2014 15:07:02 +0100

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,15 @@
 Build-Depends: cmake,
                dbus-x11,
                debhelper (>= 9.0.0),
-               extra-cmake-modules (>= 1.2.0),
+               extra-cmake-modules (>= 1.8.0),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev,
                qttools5-dev,
                qttools5-dev-tools,
                libqt5x11extras5-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/frameworks/kdbusaddons
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/frameworks/kdbusaddons.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/kdbusaddons.git
 Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kdbusaddons.git
 
 Package: libkf5dbusaddons-dev

## kdbusaddons 5.15.0

=== debian/changelog ===
kdbusaddons (5.15.0-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * Vivid backport

  [ Jonathan Riddell ]
  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 07 Oct 2015 13:45:28 +0100

kdbusaddons (5.14.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Thu, 17 Sep 2015 13:12:15 +0100

kdbusaddons (5.13.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 10 Aug 2015 12:55:07 +0200

kdbusaddons (5.12.0-0ubuntu1) wily; urgency=medium

  * New upstream release
  * Vivid backport

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 03 Aug 2015 14:26:56 +0200

kdbusaddons (5.11.0-0ubuntu1) UNRELEASED; urgency=medium

  [ Scarlett Clark ]
  * Vivid backport

  [ Harald Sitter ]
  * hashtagyolo

 -- Harald Sitter <sitter@kde.org>  Thu, 02 Jul 2015 12:35:05 +0200

kdbusaddons (5.10.0-0ubuntu1) wily; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.10.0).

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 03 Jun 2015 20:53:15 +0200

kdbusaddons (5.9.0-1) experimental; urgency=medium

  * New upstream release (5.9.0).

 -- Maximiliano Curia <maxy@debian.org>  Thu, 23 Apr 2015 08:26:26 +0200

kdbusaddons (5.8.0-1) experimental; urgency=medium

  * New upstream release (5.8.0).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 14 Mar 2015 22:27:09 +0100

kdbusaddons (5.7.0-1) experimental; urgency=medium

  * New upstream release (5.7.0).
  * Update build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 28 Feb 2015 00:06:30 +0100

kdbusaddons (5.6.0-1) experimental; urgency=medium

  [ Harald Sitter ]
  * Do not build depend on qt5-default, we only need qtbase5-dev

  [ Maximiliano Curia ]
  * New upstream release (5.6.0).
  * Bump build dependencies to build against the experimental versions.
  * Update install files.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Update copyright information.
  * Add basic autopkgtests support.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 23 Jan 2015 08:03:35 +0100

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,17 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake,
+Build-Depends: cmake (>= 2.8.12),
                dbus-x11,
-               debhelper (>= 9.0.0),
-               extra-cmake-modules (>= 1.8.0),
+               debhelper (>= 9),
+               extra-cmake-modules (>= 5.15.0~),
+               libqt5x11extras5-dev (>= 5.4),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev,
-               qttools5-dev,
-               qttools5-dev-tools,
-               libqt5x11extras5-dev
+               qtbase5-dev (>= 5.4),
+               qttools5-dev (>= 5.4),
+               qttools5-dev-tools (>= 5.4)
 Standards-Version: 3.9.6
+XS-Testsuite: autopkgtest
 Homepage: https://projects.kde.org/projects/frameworks/kdbusaddons
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/kdbusaddons.git
 Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kdbusaddons.git
@@ -20,7 +21,9 @@
 Package: libkf5dbusaddons-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5dbusaddons5 (= ${binary:Version}), qtbase5-dev, ${misc:Depends}
+Depends: libkf5dbusaddons5 (= ${binary:Version}),
+         qtbase5-dev (>= 5.4),
+         ${misc:Depends}
 Description: development files for dbusaddons
  KDBusAddons provides convenience classes on top of QtDBus,
  as well as an API to create KDED modules.

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         dbus-x11
Restrictions: build-needed

Tests: acc
Depends: @, dh-acc, exuberant-ctags

## kdbusaddons 5.18.0

=== debian/changelog ===
kdbusaddons (5.18.0-0ubuntu1) xenial; urgency=medium

  [ Scarlett Clark ]
  * New upstream release Xenial

  [ Philip Muškovac ]
  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 07 Mar 2016 23:19:27 +0100

kdbusaddons (5.16.0-1) unstable; urgency=medium

  * New upstream release (5.16.0).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 30 Nov 2015 12:12:55 +0100

kdbusaddons (5.15.0-1) unstable; urgency=medium

  * New upstream release (5.15.0).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 09 Oct 2015 19:17:05 +0200

kdbusaddons (5.15.0-0ubuntu2) xenial; urgency=medium

  * Fix autopackagetests by adding allow-stderr to the requirements.

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 03 Nov 2015 15:34:33 +0100

kdbusaddons (5.14.0-1) unstable; urgency=medium

  * New upstream release (5.14.0).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 15 Sep 2015 13:50:25 +0200

kdbusaddons (5.13.0-1) unstable; urgency=medium

  * New upstream release (5.13.0).

 -- Maximiliano Curia <maxy@debian.org>  Thu, 27 Aug 2015 18:35:59 +0200

kdbusaddons (5.12.0-1) unstable; urgency=medium

  * New upstream release (5.12.0).

 -- Maximiliano Curia <maxy@debian.org>  Thu, 09 Jul 2015 12:44:20 +0200

kdbusaddons (5.11.0-1) unstable; urgency=medium

  * New upstream release (5.10.0).
  * New upstream release (5.11.0).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 26 Jun 2015 19:06:26 +0200

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,13 @@
 Build-Depends: cmake (>= 2.8.12),
                dbus-x11,
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.15.0~),
+               extra-cmake-modules (>= 5.18.0~),
                libqt5x11extras5-dev (>= 5.4),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.4),
                qttools5-dev (>= 5.4),
                qttools5-dev-tools (>= 5.4)
 Standards-Version: 3.9.6
-XS-Testsuite: autopkgtest
 Homepage: https://projects.kde.org/projects/frameworks/kdbusaddons
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/kdbusaddons.git
 Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kdbusaddons.git

=== debian/rules ===
--- 
+++ 
@@ -7,4 +7,5 @@
 	$(overridden_command) --dbg-package=libkf5dbusaddons5-dbg
 
 override_dh_auto_test:
-	true
+	# Disable tests at build time
+	:

=== debian/watch ===
version=3
http://download.kde.org/unstable/frameworks/([\d\.]*)/kdbusaddons-(.*)\.tar\.xz
http://download.kde.org/stable/frameworks/([\d\.]*)/kdbusaddons-(.*)\.tar\.xz

## kdbusaddons 5.26.0

=== debian/changelog ===
kdbusaddons (5.26.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * Bump group breaks (5.26)
  * Replace dbus-launch with dbus-run-session in tests

 -- Maximiliano Curia <maxy@debian.org>  Thu, 29 Sep 2016 11:55:58 +0200

kdbusaddons (5.25.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * Bump group breaks (5.25)

 -- Maximiliano Curia <maxy@debian.org>  Thu, 18 Aug 2016 17:21:07 +0200

kdbusaddons (5.23.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

 -- Maximiliano Curia <maxy@debian.org>  Sat, 18 Jun 2016 08:12:22 +0200

kdbusaddons (5.22.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

 -- Maximiliano Curia <maxy@debian.org>  Wed, 18 May 2016 18:04:40 +0200

kdbusaddons (5.21.0-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * Replace the "Historical name" ddeb-migration by its "Modern, clearer" replacement dbgsym-migration.
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Update acc test script
  * uscan no longer supports more than one main upstream tarball being listed

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 3.9.8

 -- Maximiliano Curia <maxy@debian.org>  Thu, 05 May 2016 15:00:02 +0200

kdbusaddons (5.19.0-1) experimental; urgency=medium

  * New upstream release (5.19.0).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 13 Feb 2016 15:16:47 +0100

kdbusaddons (5.18.0-1) experimental; urgency=medium

  * New upstream release (5.17.0).
  * New upstream release (5.18.0).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 27 Jan 2016 13:34:55 +0100

=== debian/control ===
--- 
+++ 
@@ -6,26 +6,27 @@
 Build-Depends: cmake (>= 2.8.12),
                dbus-x11,
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.18.0~),
-               libqt5x11extras5-dev (>= 5.4),
+               extra-cmake-modules (>= 5.26.0~),
+               libqt5x11extras5-dev (>= 5.5.0~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.4),
+               qtbase5-dev (>= 5.5.0~),
                qttools5-dev (>= 5.4),
                qttools5-dev-tools (>= 5.4)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://projects.kde.org/projects/frameworks/kdbusaddons
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/kdbusaddons.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kdbusaddons.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/frameworks/kdbusaddons.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/frameworks/kdbusaddons.git
 
 Package: libkf5dbusaddons-dev
 Section: libdevel
 Architecture: any
 Depends: libkf5dbusaddons5 (= ${binary:Version}),
-         qtbase5-dev (>= 5.4),
+         qtbase5-dev (>= 5.5.0~),
          ${misc:Depends}
 Description: development files for dbusaddons
  KDBusAddons provides convenience classes on top of QtDBus,
  as well as an API to create KDED modules.
+Breaks: kded5-dev (<< 5.26), libkf5service-dev (<< 5.26)
 
 Package: libkf5dbusaddons5
 Architecture: any
@@ -37,6 +38,15 @@
 Description: class library for qtdbus
  KDBusAddons provides convenience classes on top of QtDBus,
  as well as an API to create KDED modules.
+Breaks: baloo-kf5 (<< 5.26),
+        kded5 (<< 5.26),
+        kio (<< 5.26),
+        libkf5globalaccel-bin (<< 5.26),
+        libkf5kdelibs4support5-bin (<< 5.26),
+        libkf5kiocore5 (<< 5.26),
+        libkf5service5 (<< 5.26),
+        libkf5wallet-bin (<< 5.26),
+        plasma-framework (<< 5.25)
 
 Package: libkf5dbusaddons-data
 Architecture: all
@@ -60,13 +70,3 @@
  as well as an API to create KDED modules.
  .
  This package contains kquitapp5.
-
-Package: libkf5dbusaddons5-dbg
-Priority: extra
-Section: debug
-Architecture: any
-Multi-Arch: same
-Depends: libkf5dbusaddons5 (= ${binary:Version}), ${misc:Depends}
-Description: debug symbols for kdbusaddons
- KDBusAddons provides convenience classes on top of QtDBus,
- as well as an API to create KDED modules.

## kdbusaddons 5.27.0

=== debian/changelog ===
kdbusaddons (5.27.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * Bump group breaks (5.27)

 -- Maximiliano Curia <maxy@debian.org>  Sat, 15 Oct 2016 16:49:56 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: cmake (>= 2.8.12),
                dbus-x11,
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.26.0~),
+               extra-cmake-modules (>= 5.27.0~),
                libqt5x11extras5-dev (>= 5.5.0~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.5.0~),
@@ -26,7 +26,7 @@
 Description: development files for dbusaddons
  KDBusAddons provides convenience classes on top of QtDBus,
  as well as an API to create KDED modules.
-Breaks: kded5-dev (<< 5.26), libkf5service-dev (<< 5.26)
+Breaks: kded5-dev (<< 5.27), libkf5service-dev (<< 5.27)
 
 Package: libkf5dbusaddons5
 Architecture: any
@@ -38,14 +38,14 @@
 Description: class library for qtdbus
  KDBusAddons provides convenience classes on top of QtDBus,
  as well as an API to create KDED modules.
-Breaks: baloo-kf5 (<< 5.26),
-        kded5 (<< 5.26),
-        kio (<< 5.26),
-        libkf5globalaccel-bin (<< 5.26),
-        libkf5kdelibs4support5-bin (<< 5.26),
-        libkf5kiocore5 (<< 5.26),
-        libkf5service5 (<< 5.26),
-        libkf5wallet-bin (<< 5.26),
+Breaks: baloo-kf5 (<< 5.27),
+        kded5 (<< 5.27),
+        kio (<< 5.27),
+        libkf5globalaccel-bin (<< 5.27),
+        libkf5kdelibs4support5-bin (<< 5.27),
+        libkf5kiocore5 (<< 5.27),
+        libkf5service5 (<< 5.27),
+        libkf5wallet-bin (<< 5.27),
         plasma-framework (<< 5.25)
 
 Package: libkf5dbusaddons-data

## kdbusaddons 5.28.0

=== debian/changelog ===
kdbusaddons (5.28.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (5.28)
  * Bump group breaks (5.28)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 18 Nov 2016 16:01:19 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: cmake (>= 2.8.12),
                dbus-x11,
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.27.0~),
+               extra-cmake-modules (>= 5.28.0~),
                libqt5x11extras5-dev (>= 5.5.0~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.5.0~),
@@ -26,7 +26,7 @@
 Description: development files for dbusaddons
  KDBusAddons provides convenience classes on top of QtDBus,
  as well as an API to create KDED modules.
-Breaks: kded5-dev (<< 5.27), libkf5service-dev (<< 5.27)
+Breaks: kded5-dev (<< 5.28), libkf5service-dev (<< 5.28)
 
 Package: libkf5dbusaddons5
 Architecture: any
@@ -38,14 +38,14 @@
 Description: class library for qtdbus
  KDBusAddons provides convenience classes on top of QtDBus,
  as well as an API to create KDED modules.
-Breaks: baloo-kf5 (<< 5.27),
-        kded5 (<< 5.27),
-        kio (<< 5.27),
-        libkf5globalaccel-bin (<< 5.27),
-        libkf5kdelibs4support5-bin (<< 5.27),
-        libkf5kiocore5 (<< 5.27),
-        libkf5service5 (<< 5.27),
-        libkf5wallet-bin (<< 5.27),
+Breaks: baloo-kf5 (<< 5.28),
+        kded5 (<< 5.28),
+        kio (<< 5.28),
+        libkf5globalaccel-bin (<< 5.28),
+        libkf5kdelibs4support5-bin (<< 5.28),
+        libkf5kiocore5 (<< 5.28),
+        libkf5service5 (<< 5.28),
+        libkf5wallet-bin (<< 5.28),
         plasma-framework (<< 5.25)
 
 Package: libkf5dbusaddons-data

=== debian/watch ===
version=3
http://download.kde.org/stable/frameworks/([\d\.]*)/kdbusaddons-(.*)\.tar\.xz

## kdbusaddons 5.31.0

=== debian/changelog ===
kdbusaddons (5.31.0-0ubuntu1) zesty; urgency=medium

  * Pass '-fno-keep-inline-functions' to gcc in the acc test in order to
    avoid possible spurious test failures.
  * New upstream release (5.31.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 14 Feb 2017 22:51:35 +0000

kdbusaddons (5.30.0-0ubuntu1) zesty; urgency=low

  * New upstream release (5.30.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 01 Feb 2017 18:35:21 +0000

kdbusaddons (5.28.0-0ubuntu1) zesty; urgency=low

  [ Rik Mills ]
  * New upstream release (5.27.0)

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git field to use https:// instead of git://
  * New upstream release (5.28.0)

  [ Simon Quigley ]
  * Merge from Debian

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 05 Dec 2016 20:17:33 +0000

kdbusaddons (5.26.0-0ubuntu1) yakkety; urgency=low

  * New upstream release (5.26.0)

 -- Rik Mills <rik.mills88@gmail.com>  Thu, 22 Sep 2016 13:42:46 +0100

kdbusaddons (5.24.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.24.0)

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 26 Jul 2016 08:38:53 +0000

kdbusaddons (5.23.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.23.0)

 -- Clive Johnston <clivejo@kubuntu.org>  Mon, 11 Jul 2016 22:09:50 +0200

kdbusaddons (5.22.0-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release. 
  * Debian merge: No remaining changes. 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Clive Johnston ]
  * New upstream release

 -- Clive Johnston <clivejo@kubuntu.org>  Tue, 17 May 2016 16:16:27 -0700

=== debian/control ===
--- 
+++ 
@@ -6,27 +6,26 @@
 Build-Depends: cmake (>= 2.8.12),
                dbus-x11,
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.28.0~),
-               libqt5x11extras5-dev (>= 5.5.0~),
+               extra-cmake-modules (>= 5.31.0~),
+               libqt5x11extras5-dev (>= 5.6.1~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.5.0~),
-               qttools5-dev (>= 5.4),
-               qttools5-dev-tools (>= 5.4)
+               qtbase5-dev (>= 5.6.1~),
+               qttools5-dev (>= 5.6.1~),
+               qttools5-dev-tools (>= 5.6.1~)
 Standards-Version: 3.9.8
 Homepage: https://projects.kde.org/projects/frameworks/kdbusaddons
-Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/frameworks/kdbusaddons.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/frameworks/kdbusaddons.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdbusaddons
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdbusaddons
 
 Package: libkf5dbusaddons-dev
+Architecture: any
 Section: libdevel
-Architecture: any
 Depends: libkf5dbusaddons5 (= ${binary:Version}),
-         qtbase5-dev (>= 5.5.0~),
+         qtbase5-dev (>= 5.6.1~),
          ${misc:Depends}
 Description: development files for dbusaddons
  KDBusAddons provides convenience classes on top of QtDBus,
  as well as an API to create KDED modules.
-Breaks: kded5-dev (<< 5.28), libkf5service-dev (<< 5.28)
 
 Package: libkf5dbusaddons5
 Architecture: any
@@ -38,15 +37,6 @@
 Description: class library for qtdbus
  KDBusAddons provides convenience classes on top of QtDBus,
  as well as an API to create KDED modules.
-Breaks: baloo-kf5 (<< 5.28),
-        kded5 (<< 5.28),
-        kio (<< 5.28),
-        libkf5globalaccel-bin (<< 5.28),
-        libkf5kdelibs4support5-bin (<< 5.28),
-        libkf5kiocore5 (<< 5.28),
-        libkf5service5 (<< 5.28),
-        libkf5wallet-bin (<< 5.28),
-        plasma-framework (<< 5.25)
 
 Package: libkf5dbusaddons-data
 Architecture: all

## kdbusaddons 5.38.0

=== debian/changelog ===
kdbusaddons (5.38.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.38.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 11 Sep 2017 13:14:36 +0100

kdbusaddons (5.37.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.37.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 12 Aug 2017 18:48:42 +0100

kdbusaddons (5.36.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.36.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 11 Jul 2017 23:53:28 +0100

kdbusaddons (5.35.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.35.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Jun 2017 22:58:42 +0100

kdbusaddons (5.34.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.34.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 15 May 2017 21:26:36 +0100

kdbusaddons (5.33.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.33.0)
  * Update symbols.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 29 Apr 2017 18:06:05 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: cmake (>= 2.8.12),
                dbus-x11,
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.31.0~),
+               extra-cmake-modules (>= 5.38.0~),
                libqt5x11extras5-dev (>= 5.6.1~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.6.1~),

## kdbusaddons 5.44.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

set(KF5_VERSION "5.44.0") # handled by release scripts
project(KDBusAddons VERSION ${KF5_VERSION})

include(FeatureSummary)
find_package(ECM 5.44.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)


set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(ECMQtDeclareLoggingCategory)

set(REQUIRED_QT_VERSION 5.7.0)
find_package(Qt5DBus ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
find_package(Qt5X11Extras ${REQUIRED_QT_VERSION} NO_MODULE)


include(GenerateExportHeader)
include(CMakePackageConfigHelpers)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMMarkNonGuiExecutable)
include(ECMAddQch)

include(ECMPoQmTools)

ecm_setup_version(PROJECT VARIABLE_PREFIX KDBUSADDONS
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kdbusaddons_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5DBusAddonsConfigVersion.cmake"
                        SOVERSION 5)

if(Qt5X11Extras_FOUND)
    set(qtx11extras Qt5::X11Extras)
    set(HAVE_X11 TRUE)
else()
    set(HAVE_X11 FALSE)
endif()

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
    ecm_install_po_files_as_qm(po)
endif()

add_subdirectory(src)
add_subdirectory(autotests)
add_subdirectory(tests)

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5DBusAddons")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF5DBusAddons_QCH
        FILE KF5DBusAddonsQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5DBusAddonsQchTargets.cmake\")")
endif()

configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/KF5DBusAddonsConfig.cmake.in"
                              "${CMAKE_CURRENT_BINARY_DIR}/KF5DBusAddonsConfig.cmake"
                              INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
                              )

install(FILES  "${CMAKE_CURRENT_BINARY_DIR}/KF5DBusAddonsConfig.cmake"
               "${CMAKE_CURRENT_BINARY_DIR}/KF5DBusAddonsConfigVersion.cmake"
               "KF5DBusAddonsMacros.cmake"
               "KF5dbus.service.in"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel )

install(EXPORT KF5DBusAddonsTargets  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"  FILE KF5DBusAddonsTargets.cmake  NAMESPACE KF5:: )

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kdbusaddons_version.h  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}  COMPONENT Devel )

# contains list of debug categories, for kdebugsettings
install(FILES kdbusaddons.categories DESTINATION ${KDE_INSTALL_CONFDIR})

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== autotests/CMakeLists.txt ===

remove_definitions(-DQT_NO_CAST_FROM_ASCII)

find_package(Qt5Test ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)

include(ECMAddTests)

ecm_add_tests(
    kdbusinterprocesslocktest.cpp
    kdbusservicetest.cpp
    LINK_LIBRARIES Qt5::Test KF5::DBusAddons
)

=== src/CMakeLists.txt ===
add_subdirectory(tools/kquitapp)

ecm_create_qm_loader(libkdbusaddons_QM_LOADER kdbusaddons5_qt)

set(libkdbusaddons_SRCS
    kdbusconnectionpool.cpp
    kdbusinterprocesslock.cpp
    kdbusservice.cpp
    kdedmodule.cpp
    kdeinitinterface.cpp
    ${libkdbusaddons_QM_LOADER}
)
ecm_qt_declare_logging_category(libkdbusaddons_SRCS HEADER kdbusaddons_debug.h IDENTIFIER KDBUSADDONS_LOG CATEGORY_NAME kf5.kdbusaddons)

qt5_add_dbus_interface(libkdbusaddons_SRCS org.freedesktop.Application.xml FreeDesktopApplpicationIface)
qt5_add_dbus_interface(libkdbusaddons_SRCS org.kde.KDBusService.xml KDBusServiceIface)


qt5_add_dbus_adaptor(libkdbusaddons_SRCS
   org.freedesktop.Application.xml
   kdbusservice.h
   KDBusService
   kdbusservice_adaptor
   KDBusServiceAdaptor)
qt5_add_dbus_adaptor(libkdbusaddons_SRCS
   org.kde.KDBusService.xml
   kdbusservice.h
   KDBusService
   kdbusserviceextensions_adaptor
   KDBusServiceExtensionsAdaptor)

add_library(KF5DBusAddons ${libkdbusaddons_SRCS})
generate_export_header(KF5DBusAddons BASE_NAME KDBusAddons)
add_library(KF5::DBusAddons ALIAS KF5DBusAddons)


target_link_libraries(KF5DBusAddons PUBLIC Qt5::DBus PRIVATE ${qtx11extras})

target_include_directories(KF5DBusAddons INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/KDBusAddons>")

set_target_properties(KF5DBusAddons PROPERTIES VERSION   ${KDBUSADDONS_VERSION_STRING}
                                               SOVERSION ${KDBUSADDONS_SOVERSION}
                                               EXPORT_NAME DBusAddons
)

configure_file(config-kdbusaddons.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kdbusaddons.h )

ecm_generate_headers(KDBusAddons_HEADERS
  HEADER_NAMES
  KDBusConnectionPool
  KDBusInterProcessLock
  KDBusService
  KDEDModule
  KDEInitInterface
  REQUIRED_HEADERS KDBusAddons_HEADERS
)

find_package(PythonModuleGeneration)

if (PythonModuleGeneration_FOUND)
  ecm_generate_python_binding(
    TARGET KF5::DBusAddons
    PYTHONNAMESPACE PyKF5
    MODULENAME KDBusAddons
    INSTALL_DIR_SUFFIX ${KDE_INSTALL_PYTHONBINDINGSDIR}
    SIP_DEPENDS
      QtDBus/QtDBusmod.sip
    HEADERS
      kdbusconnectionpool.h
      kdbusinterprocesslock.h
      kdbusservice.h
      kdedmodule.h
      kdeinitinterface.h
  )
endif()

install(TARGETS KF5DBusAddons EXPORT KF5DBusAddonsTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
    ${KDBusAddons_HEADERS}
    ${CMAKE_CURRENT_BINARY_DIR}/kdbusaddons_export.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KDBusAddons COMPONENT Devel
)

if(BUILD_QCH)
    ecm_add_qch(
        KF5DBusAddons_QCH
        NAME KDBusAddons
        BASE_NAME KF5DBusAddons
        VERSION ${KF5_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
            ${KDBusAddons_HEADERS}
        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        LINK_QCHS
            Qt5DBus_QCH
            Qt5Core_QCH
        BLANK_MACROS
            KDBUSADDONS_EXPORT
            KDBUSADDONS_DEPRECATED
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

include(ECMGeneratePriFile)
ecm_generate_pri_file(BASE_NAME KDBusAddons LIB_NAME KF5DBusAddons DEPS "dbus" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF5}/KDBusAddons)
install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

=== src/tools/kquitapp/CMakeLists.txt ===
add_executable(kquitapp5 kquitapp.cpp)
ecm_mark_nongui_executable(kquitapp5)
target_link_libraries(kquitapp5 Qt5::DBus)
install(TARGETS kquitapp5 ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
kdbusaddons (5.44.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.44.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 12 Mar 2018 19:56:45 +0000

kdbusaddons (5.43.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.43.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 11 Feb 2018 11:14:26 +0000

kdbusaddons (5.42.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.42.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Jan 2018 22:20:31 +0000

kdbusaddons (5.41.0-0ubuntu1) bionic; urgency=medium

  [ Rik Mills ]
  * Install kdbusaddons.categories file

  [ Walter Lapchynski ]
  * New upstream release (5.41.0)

 -- Walter Lapchynski <wxl@ubuntu.com>  Sun, 10 Dec 2017 22:03:59 -0600

kdbusaddons (5.40.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.39.0)
  * New upstream release (5.40.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 24 Nov 2017 17:15:33 +0000

=== debian/control ===
Source: kdbusaddons
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               dbus-x11,
               debhelper (>= 9),
               extra-cmake-modules (>= 5.44.0~),
               libqt5x11extras5-dev (>= 5.6.1~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.6.1~),
               qttools5-dev (>= 5.6.1~),
               qttools5-dev-tools (>= 5.6.1~)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/frameworks/kdbusaddons
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdbusaddons
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdbusaddons

Package: libkf5dbusaddons-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5dbusaddons5-bin
Replaces: libkf5dbusaddons5-bin
Description: class library for qtdbus
 KDBusAddons provides convenience classes on top of QtDBus,
 as well as an API to create KDED modules.
 .
 This package contains kquitapp5.

Package: libkf5dbusaddons-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5dbusaddons5-data
Replaces: libkf5dbusaddons5-data
Description: class library for qtdbus
 KDBusAddons provides convenience classes on top of QtDBus,
 as well as an API to create KDED modules.
 .
 This package contains the translations.

Package: libkf5dbusaddons-dev
Architecture: any
Section: libdevel
Depends: libkf5dbusaddons5 (= ${binary:Version}),
         qtbase5-dev (>= 5.6.1~),
         ${misc:Depends}
Description: development files for dbusaddons
 KDBusAddons provides convenience classes on top of QtDBus,
 as well as an API to create KDED modules.

Package: libkf5dbusaddons5
Architecture: any
Multi-Arch: same
Depends: libkf5dbusaddons-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5dbusaddons-bin (= ${source:Version})
Description: class library for qtdbus
 KDBusAddons provides convenience classes on top of QtDBus,
 as well as an API to create KDED modules.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbgsym-migration='libkf5dbusaddons5-dbg (<= 5.19.0-1~~)'

override_dh_auto_test:
	# Disable tests at build time
	:

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         dbus (>= 1.8), xvfb, xauth
Restrictions: build-needed

Tests: acc
Depends: @, dh-acc, exuberant-ctags
Restrictions: allow-stderr

## kdbusaddons 5.50.0

=== debian/changelog ===
kdbusaddons (5.50.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.50.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 10 Sep 2018 22:12:18 +0100

kdbusaddons (5.49.0-0ubuntu1) cosmic; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.48.0)
  * New upstream release (5.49.0)

  [ José Manuel Santamaría Lema ]
  * Move away from dhmk and set compat level to 11 in order to reduce
    delta with Debian

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 21 Aug 2018 20:29:27 +0100

kdbusaddons (5.47.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.47.0)

  [ José Manuel Santamaría Lema ]
  * Merge with debian, notes:
    - keep using dhmk and debhelper compat level = 9, see:
      https://phabricator.kde.org/w/kubuntu/black-operations/pyramid/

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 14 Jun 2018 15:48:16 +0100

kdbusaddons (5.46.0-1) unstable; urgency=medium

  * New upstream release (5.46.0).
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 4.1.4.
  * Use https for the debian/copyright
  * Bump group breaks (5.46)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 17 May 2018 22:14:41 +0200

kdbusaddons (5.46.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.45.0)
  * New upstream release (5.46.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 15 May 2018 15:55:29 +0100

kdbusaddons (5.45.0-1) unstable; urgency=medium

  * New upstream release (5.45.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.45)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Sat, 05 May 2018 08:10:14 +0200

kdbusaddons (5.44.0-1) sid; urgency=medium

  * New upstream release (5.44.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.44)
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Wed, 21 Mar 2018 14:40:35 +0100

kdbusaddons (5.43.0-1) experimental; urgency=medium

  * Use the salsa canonical urls
  * New upstream release (5.43.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.43)
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 26 Feb 2018 11:43:17 +0100

kdbusaddons (5.42.0-2) sid; urgency=medium

  * New revision
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sat, 10 Feb 2018 11:28:40 +0100

kdbusaddons (5.42.0-1) experimental; urgency=medium

  * New upstream release (5.42.0).
  * Add link options as-needed
  * Bump debhelper build-dep and compat to 11.
  * Build without build_stamp
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.42)
  * Bump Standards-Version to 4.1.3.
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Fri, 02 Feb 2018 12:04:53 +0100

kdbusaddons (5.41.0-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.41.0).
  * Bump Standards-Version to 4.1.2.
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.41)
  * Release to experimental

  [ Helmut Grohne ]
  * Fix FTCBFS: Annotate libqt5sql5-sqlite with :native. (Closes: 882879)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 15 Dec 2017 10:42:20 -0300

kdbusaddons (5.41.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 08 Dec 2017 14:44:25 +0000

kdbusaddons (5.40.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Nov 2017 12:57:18 +0000

kdbusaddons (5.39.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 15 Oct 2017 11:40:13 +0000

kdbusaddons (5.38.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 11 Sep 2017 13:24:18 +0000

kdbusaddons (5.37.0-2) sid; urgency=medium

  * New revision
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sun, 03 Sep 2017 09:57:50 +0200

kdbusaddons (5.37.0-1) experimental; urgency=medium

  * New upstream release (5.37.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.37)
  * Add a libkf5dbusaddons-doc package for the qch files
  * Bump Standards-Version to 4.0.1.
  * Set section for the doc package
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Wed, 16 Aug 2017 10:42:01 +0200

kdbusaddons (5.37.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Aug 2017 15:12:47 +0000

kdbusaddons (5.36.0-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.35.0).
  * Bump Standards-Version to 4.0.0.
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.35)
  * Update symbols files.
  * watch: Use https uris
  * New upstream release (5.36.0).
  * Bump group breaks (5.36)
  * Update build-deps and deps with the info from cmake

  [ Raymond Wooninck ]
  * Add signing key
  * also include signing-key

  [ Harald Sitter ]
  * acc c++11. now used more liberally

 -- Maximiliano Curia <maxy@debian.org>  Sun, 09 Jul 2017 23:41:07 +0200

kdbusaddons (5.36.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 10 Jul 2017 17:11:26 +0000

kdbusaddons (5.35.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 11 Jun 2017 20:36:03 +0000

kdbusaddons (5.34.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 14 May 2017 17:34:54 +0000

kdbusaddons (5.33.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Apr 2017 16:22:26 +0000

kdbusaddons (5.32.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 12 Mar 2017 13:21:29 +0000

kdbusaddons (5.31.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 13 Feb 2017 14:35:02 +0000

kdbusaddons (5.30.0-0neon) xenial; urgency=medium

  * New release



=== debian/control ===
--- 
+++ 
@@ -3,16 +3,19 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 2.8.12),
+Build-Depends: cmake (>= 3.0~),
                dbus-x11,
-               debhelper (>= 9),
-               extra-cmake-modules (>= 5.44.0~),
-               libqt5x11extras5-dev (>= 5.6.1~),
+               debhelper (>= 11~),
+               doxygen,
+               extra-cmake-modules (>= 5.50.0~),
+               graphviz,
+               libqt5sql5-sqlite:native,
+               libqt5x11extras5-dev (>= 5.8.0~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.6.1~),
+               qtbase5-dev (>= 5.8.0~),
                qttools5-dev (>= 5.6.1~),
-               qttools5-dev-tools (>= 5.6.1~)
-Standards-Version: 3.9.8
+               qttools5-dev-tools (>= 5.6.1~),
+Standards-Version: 4.1.4
 Homepage: https://projects.kde.org/projects/frameworks/kdbusaddons
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdbusaddons
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdbusaddons
@@ -44,11 +47,23 @@
 Architecture: any
 Section: libdevel
 Depends: libkf5dbusaddons5 (= ${binary:Version}),
-         qtbase5-dev (>= 5.6.1~),
-         ${misc:Depends}
+         qtbase5-dev (>= 5.8.0~),
+         ${misc:Depends},
+Recommends: libkf5dbusaddons-doc (= ${source:Version})
 Description: development files for dbusaddons
  KDBusAddons provides convenience classes on top of QtDBus,
  as well as an API to create KDED modules.
+
+Package: libkf5dbusaddons-doc
+Architecture: all
+Multi-Arch: foreign
+Section: doc
+Depends: ${misc:Depends}
+Description: class library for qtdbus (documentation)
+ KDBusAddons provides convenience classes on top of QtDBus,
+ as well as an API to create KDED modules.
+ .
+ This package contains the qch documentation files.
 
 Package: libkf5dbusaddons5
 Architecture: any
@@ -56,7 +71,7 @@
 Depends: libkf5dbusaddons-data (= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
-Recommends: libkf5dbusaddons-bin (= ${source:Version})
+Recommends: libkf5dbusaddons-bin (= ${binary:Version})
 Description: class library for qtdbus
  KDBusAddons provides convenience classes on top of QtDBus,
  as well as an API to create KDED modules.
